Bug 44336 - [Qt] Find needed forwarding headers for WebKit2 automatically
Summary: [Qt] Find needed forwarding headers for WebKit2 automatically
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-20 07:50 PDT by Balazs Kelemen
Modified: 2010-09-04 18:26 PDT (History)
6 users (show)

See Also:


Attachments
Patch (12.55 KB, patch)
2010-08-20 08:10 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balazs Kelemen 2010-08-20 07:50:43 PDT
Our plan is to set the WebKit2 build in default ews and/or buildbot builds. The problem is that our build can break because of a single new included file. As I see this is not true for mac and win (they copy almost all WebCore header to the build dir). I want to use a more sophisticated solution: generate the list of the headers with a script and use the stdout of the script in the DerivedSources.pro.
Comment 1 Balazs Kelemen 2010-08-20 08:10:55 PDT
Created attachment 64957 [details]
Patch
Comment 2 Balazs Kelemen 2010-08-20 11:50:16 PDT
Eric, could you clue me up about what is wrong with this patch? I have created it with svn-create-patch. Normally I am using git but I would have liked to create the new file with svn copy this time.
Comment 3 Eric Seidel (no email) 2010-08-20 12:27:06 PDT
This may be an svn-apply regression.  CCing Dan.
Comment 4 Ariya Hidayat 2010-08-22 01:25:58 PDT
Comment on attachment 64957 [details]
Patch

Nice one :) LGTM 

re=me
Comment 5 WebKit Commit Bot 2010-08-22 11:20:43 PDT
Comment on attachment 64957 [details]
Patch

Rejecting patch 64957 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Ariya Hidayat', u'--force']" exit_code: 255
Failed to find the property value for the SVN property "svn:mergeinfo": "   Merged /trunk/WebKitTools/Scripts/find-included-framework-headers:r53455
". at /Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/VCSUtils.pm line 1036, <ARGV> line 322.

Full output: http://queues.webkit.org/results/3801156
Comment 6 Eric Seidel (no email) 2010-08-22 11:47:28 PDT
I think this is an svn-apply regression.  Dan Bates is already CC'd.
Comment 7 Daniel Bates 2010-08-22 12:07:19 PDT
(In reply to comment #5)
> (From update of attachment 64957 [details])
> Rejecting patch 64957 from commit-queue.
> 
> Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Ariya Hidayat', u'--force']" exit_code: 255
> Failed to find the property value for the SVN property "svn:mergeinfo": "   Merged /trunk/WebKitTools/Scripts/find-included-framework-headers:r53455
> ". at /Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/VCSUtils.pm line 1036, <ARGV> line 322.
> 
> Full output: http://queues.webkit.org/results/3801156

This patch contains an svn:mergeinfo property change:
[[
Property changes on: WebKitTools/Scripts/enumerate-included-framework-headers
___________________________________________________________________
Added: svn:mergeinfo
   Merged /trunk/WebKitTools/Scripts/find-included-framework-headers:r53455
]]

I'm not familiar with this property. So far, from reading <http://svnbook.red-bean.com/nightly/en/svn-book.html#svn.branchmerge.basicmerging.mergeinfo> this property is used by SVN to "track changesets—that is, which changes have been merged to which branches".

svn-apply/svn-unapply do not support the svn:mergeinfo property. 

I'm currently trying to better understand svn merge/the svn:mergeinfo property.
Comment 8 Balazs Kelemen 2010-08-23 04:28:35 PDT
Here is my use case:
   - creating the new file by "svn copy find-included-framework-headers enumerate-included-framework-headers"
   - editing the new file
   - creating the patch by "svn-create-patch", however svn diff has similar output

I am not familiar with merge logic of svn but it seems like this copy and edit use case is handled by the merginfo property.
I am going to land this with a git diff now if you do not mind.
Comment 9 Andras Becsi 2010-08-23 06:59:14 PDT
Committed r65808: <http://trac.webkit.org/changeset/65808>
Comment 10 Andras Becsi 2010-08-23 07:01:55 PDT
Comment on attachment 64957 [details]
Patch

Clearing flags.
Comment 11 Daniel Bates 2010-09-04 18:26:09 PDT
(In reply to comment #7)
> (In reply to comment #5)
> > (From update of attachment 64957 [details] [details])
> > Rejecting patch 64957 from commit-queue.
> > 
> > Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Ariya Hidayat', u'--force']" exit_code: 255
> > Failed to find the property value for the SVN property "svn:mergeinfo": "   Merged /trunk/WebKitTools/Scripts/find-included-framework-headers:r53455
> > ". at /Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/VCSUtils.pm line 1036, <ARGV> line 322.
> > 
> > Full output: http://queues.webkit.org/results/3801156
> 
> This patch contains an svn:mergeinfo property change:
> [[
> Property changes on: WebKitTools/Scripts/enumerate-included-framework-headers
> ___________________________________________________________________
> Added: svn:mergeinfo
>    Merged /trunk/WebKitTools/Scripts/find-included-framework-headers:r53455
> ]]
> 
> I'm not familiar with this property. So far, from reading <http://svnbook.red-
> [...]

Filed bug #45236 to add support to svn-apply/unapply for recognizing the svn:mergeinfo property and hence process patches that contain it.